# SourceInSight相关知识点
## 常规操作
### 1.工程新建/添加

- **第一步：新建工程**

  ​	<img src="./pictures/新建工程1.png" alt="第一步" style="zoom:67%;" />

- **第二步：设置工程名以及工程数据目录**

  <img src="./pictures/新建工程2.png" alt="第二步" style="zoom:67%;" />

- **第三步：指定源码目录**

  <img src="./pictures/新建工程3.png" alt="第三步" style="zoom:67%;" />

- **第四步：添加源码**

  <img src="./pictures/新建工程4.png" alt="第四步" style="zoom:67%;" />	

  

### 2.文件新建/添加

​	<img src="./pictures/添加文件.png" alt="新建文件" style="zoom:67%;" />

### 3.符号表同步

- 同步文件的意思是让Source Insight去解析源码，生成数据库，这样有助于以后阅读源码。比如点击某个函数时就可以飞快地跳到它定义的地方。

  ​	<img src="./pictures/新建工程5.png" alt="第五步" style="zoom:67%;" />

  <img src="./pictures/新建工程6.png" alt="第五步" style="zoom:67%;" />

### 4.视图切换

- 同时打开多个文件

  ![视图切换](./pictures/视图切换.png)

### 5.常用窗口打开/关闭

- ![常用窗口](./pictures/常用窗口.png)

- **1.符号窗口**
  - 显示了当前文件中的所有符号，比如变量、函数、类等。可以通过符号窗口快速定位和浏览代码中的不同符号，点击符号即可跳转到相应的位置。

- **2.项目文件窗口**
  - 显示了项目中的所有文件，并提供了文件夹结构的视图。可以通过文件窗口快速选择和切换文件，以及查看文件的层次结构。该窗口可以通过工具栏的图标 ![在这里插入图片描述](https://i-blog.csdnimg.cn/blog_migrate/4bbbab32a3c3cecb4b7ff137a27e6410.png) 打开或关闭。

- **3.关系窗口**
  - 显示了当前选中符号的所有引用位置。当选中一个符号时，可以通过关系窗口查看该符号在代码中的所有引用，方便进行全局搜索和代码分析。
- **4.上下文窗口**
  - 显示了当前选中符号的定义和引用位置。当您选中一个符号时，可以通过定义窗口查看该符号在代码中的具体定义和引用情况。

### 6.搜索引用

- **1. 当前文件搜索**
  
  <img src="./pictures/搜索引用.png" alt="搜索引用" style="zoom:67%;" />
  
- **2.全局搜索引用**
  
  <img src="./pictures/搜索引用1.png" alt="搜索引用" style="zoom:67%;" />