# 单元测试相关知识点
## 单元测试
### 1.单元测试创建

- 创建一个空项目，并将需要测试的源码添加到工程中。

  (1)

  <img src="./pictures/创建新项目.png" alt="创建新项目" style="zoom:50%;" />

  (2)

  <img src="./pictures/创建新项目2.png" alt="创建新项目" style="zoom:50%;" />

  (3)

  <img src="./pictures/创建新项目3.png" alt="创建新项目" style="zoom:50%;" />

  (4)

  <img src="./pictures/创建新项目4.png" alt="创建新项目" style="zoom:50%;" />

### 2.代码覆盖度

- 概念：**单元测试覆盖度**是衡量测试用例对代码逻辑覆盖程度的重要指标，通常包括行覆盖、分支覆盖、条件覆盖和路径覆盖等类型。它帮助开发者评估测试的全面性，确保代码的质量和稳定性。

### 3.运行性能

​	![运行性能](./pictures/测试性能.png)

### 4.测试样例书写

​	![测试样例书写](./pictures/测试样例的书写.png)

### 5.单元测试的调试

​	![单元测试的调试](./pictures/单元测试的调试.png)