# Markdown相关知识点
## 常用语法
### 1.标题相关

- 使用特殊符号’#‘：在’#‘号后添加空格，多少等级的标题就是多少个‘#’，例如，一级标题输入该格式->’# 一级标题 '，以此类推。
  - 例如：

# 一级标题

## 二级标题

### 三级标题

### 2.标号相关

- 无序标号语法 ：-空格或者*空格（两步）

- 有序标号语法：数字.空格(三步)
- 标号嵌套
  1. 想要子列表：按Tab
  2. 回到上一层：shift +Tab

### 3.文字相关
- 加粗语法：两个※字符需要加粗的文字两个※字符
  - 例如：**加粗**

- 倾斜语法：一个※字符需要加粗的文字一个※字符
  - 例如：*倾斜*
- 加粗倾斜语法：三个※字符需要加粗的文字三个※字符
  - 例如：***加粗倾斜***
- 删除线 语法：两个~  删除的文字  两个~
  - 例如：~~删除线~~

### 4.代码块
- 单行代码块语法：创建一个单行的代码块，只需要在代码的前后各加一个反引号`即可
  - 例如：`这是一行代码`

- 多行代码块语法：语法： ```+回车
  - 例如：

```
```

### 5.超链接

- 文字超链接语法：

   ```
   [超链接描述文本]（超链接）
   ```

​	例如：[百度](www.baidu.com)

- 图片超链接语法：[图片描述]（图片网络地址）
  - 例如：[![山](./pictures/shan.webp)](https://img0.baidu.com/it/u=585663195,3046310056&fm=253&fmt=auto&app=138&f=JPEG?w=1067&h=800)
- 页面内跳转语法：【点击我跳转到一级标题】(# Markdown常用语法)
  - 例如：[点击我跳转到一级标题](# Markdown相关知识点)

### 6.其他

- 分割线 语法：三个- +回车
  - 例如：



---



-  图片语法：！[文本说明]（本地图片地址路径)
  - 例如：![1.png](./pictures/1.png)

- 表格  语法：Ctrl +T

  - 例如： 

    |      |      |      |
    | ---- | ---- | ---- |
    |      |      |      |
    |      |      |      |
    |      |      |      |

    

- ·引用  语法：\>+空格

  - 例如：

> 

### 7.路径

- 相对路径 ：相对路径是一种基于当前目录来定位文件或目录的方式。
- 绝对路径 ：绝对路径是指文件在硬盘上真正存在的路径。

